# Command: ExecFunction

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    ExecFunction - immediately execute a pure function with named arguments

Synopsis:

      {proc} literal_1 ... literal_n ExecFunction -> val
      string literal_1 ... literal_n ExecFunction -> val

Examples:

      2   {x 1 x add mul} /x   ExecFunction --> 6
      2 3 {x 1 x add mul} /x /y ExecFunction --> 6
      2 3 {x y x add mul} /x /y ExecFunction --> 10
      2 3   ( x*(y+x) )   /x /y ExecFunction --> 10

      Version: 090304

Description:

      ExecFunction is equivalent to the sequence
      Function exec

Author:

    Diesmann

SeeAlso:

- Function
- CompileMath
- Inline

Source:

    /opt/conda/conda-bld/nest_1512418852064/work/nest-2.12.0/lib/sli/mathematica.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative